<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
    <style>
        table, th, td {
            border: 1px solid black;
        }
    </style>
  </head>
  <body>
  <h2>Friend List</h2>
    <table>
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>
      {% if friends %}
        {% for friend in friends %}
          <tr>
            <td>{{ friend.name }}</td>
            <td>{{ friend.npm }}</td>
            <td>{{ friend.date_of_birth }}</td>
          </tr>
        {% endfor %}
      {% endif %}
    </table>
  </body>
</html>
